> For the complete documentation index, see [llms.txt](https://docs.uaepass.ae/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uaepass.ae/guidelines/design-guidelines/text-message-guidelines.md).

# Text Message Guidelines

### Error Messages:

<table data-full-width="true"><thead><tr><th>Scenario</th><th>English</th><th>Arabic</th><th>Feature</th></tr></thead><tbody><tr><td>SOP 1 - Unverified user restriction</td><td>You are not eligible to access this service. Your account is either not upgraded or you have a visitor account. Please contact &#x3C;SP Name> to access the services.</td><td>أنت غير مؤهل للوصول إلى هذه الخدمة. إما أن حسابك لم تتم ترقيته أو لديك حساب زائر. يرجى الاتصال بـ &#x3C;اسم الجهة> لتتمكن من الوصول إلى الخدمة.</td><td>Authentication</td></tr><tr><td>Service Provider allows services only for existing users</td><td>This service is only for registered users, please contact &#x3C;SP Name> in order to access the services </td><td>هذه الخدمة مخصصة فقط للمستخدمين المسجلين، يرجى التواصل مع &#x3C;اسم الجهة> لتتمكن من الوصول إلى الخدمات</td><td>Authentication</td></tr><tr><td>User cancel the login</td><td>User cancelled the login</td><td>قام المستخدم بإلغاء تسجيل الدخول</td><td>Authentication</td></tr><tr><td>SP is accepting only UAE nationals EID holders</td><td>This service is only accesible to UAE Nationals</td><td>هذه الخدمة متاحة فقط لمواطني دولة الإمارات العربية المتحدة.</td><td>Authentication</td></tr><tr><td>Any exception rasied during response processing</td><td>Something went wrong during the login, please try again later!</td><td>حدث خطأ ما أثناء تسجيل الدخول، يرجى المحاولة مرة أخرى لاحقًا!</td><td>Authentication</td></tr><tr><td>SOP 2 - Digital Signature Restriction</td><td>Please upgrade your account following instructions in the UAE PASS application</td><td>يرجى ترقية حسابك باتباع الإرشادات الموجودة في تطبيق الهوية الرقمية</td><td>Digital Signature</td></tr><tr><td>User cancel the signing </td><td>User cancelled the signing process</td><td>قام المستخدم بإلغاء عملية التوقيع</td><td>Digital Signature</td></tr></tbody></table>

### Error Code for Authentication and Digital Signature Cancellation:

<table data-full-width="true"><thead><tr><th>Error Code</th><th>English</th><th>Arabic</th></tr></thead><tbody><tr><td><p><strong>Authentication:</strong></p><p>error=invalid_request</p><p>error=login_required</p><p>error=access_denied</p><p>error=cancelledOnApp</p></td><td>User cancelled the login</td><td>قام المستخدم بإلغاء تسجيل الدخول</td></tr><tr><td><p><strong>Digital Signature:</strong></p><p>error: invalid_request</p><p>error: login_required</p><p>error: access_denied</p></td><td>User cancelled the signing process</td><td>قام المستخدم بإلغاء عملية التوقيع</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uaepass.ae/guidelines/design-guidelines/text-message-guidelines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
